import axios from "@/utils/request";

export function filterDeviceCert(query) {
    return axios(
        {
            url: "/inv/device/cert/filter",
            method: "get",
            params: query
        }
    )
}


export function insertCompanyCert(query) {
    return axios(
        {
            url: "/inv/info/insertDeviceCert",
            method: "post",
            data: query
        }
    );
}

export function updateDeviceCert(query) {
    return axios(
        {
            url: "/inv/info/updateDeviceCert",
            method: "post",
            data: query
        }
    );
}

export function auditSupCert(query) {
    return axios(
        {
            url: "/sale/sup/cert/audit",
            method: "post",
            data: query
        }
    );
}


export function deleteDeviceCert(query) {
    return axios(
        {
            url: "/inv/info/deleteDeviceCert",
            method: "post",
            data: query
        }
    );
}


export function revokeSupCert(query) {
  return axios(
    {
      url: "/sale/sup/cert/revoke",
      method: "post",
      data: query
    }
  );
}




